package com.bocloud.cmp.entity.enums.jumpserver;

public enum PrivilegeAccount {
    ROOT("root"),
    ADMINISTRATOR("administrator"),
    SA("sa"),
    ENABLE("enable"),
    SYS("sys"),
    NETSCREEN("netscreen"),
    SUPER("super"),
    ;
    private final String value;

    PrivilegeAccount(String value) {
        this.value = value;
    }

    public static PrivilegeAccount byValue(String value) {
        for (PrivilegeAccount per : PrivilegeAccount.values()) {
            if (per.value.equals(value)) {
                return per;
            }
        }
        return null;
    }

    public String getValue() {
        return value;
    }
}
